﻿/* 
    Jolt Environment
    Copyright (C) 2010 Jolt Environment Team

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

namespace RuneScape.Model.Items
{
    /// <summary>
    /// Defines the different types of equipment slots.
    /// </summary>
    public class EquipmentSlot
    {
        /// <summary>
        /// The hat equipment slot id.
        /// </summary>
        public const sbyte Hat = 0;
        /// <summary>
        /// The cape equipment slot id.
        /// </summary>
        public const sbyte Cape = 1;
        /// <summary>
        /// The amulet equipment slot id.
        /// </summary>
        public const sbyte Amulet = 2;
        /// <summary>
        /// The weapon equipment slot id.
        /// </summary>
        public const sbyte Weapon = 3;
        /// <summary>
        /// The chest equipment slot id.
        /// </summary>
        public const sbyte Chest = 4;
        /// <summary>
        /// The shield equipment slot id.
        /// </summary>
        public const sbyte Shield = 5;
        /// <summary>
        /// The legs equipment slot id.
        /// </summary>
        public const sbyte Legs = 7;
        /// <summary>
        /// The hands equipment slot id.
        /// </summary>
        public const sbyte Hands = 9;
        /// <summary>
        /// The feet equipment slot id.
        /// </summary>
        public const sbyte Feet = 10;
        /// <summary>
        /// The ring equipment slot id.
        /// </summary>
        public const sbyte Ring = 12;
        /// <summary>
        /// The arrow equipment slot id.
        /// </summary>
        public const sbyte Arrow = 13;
    }
}
